<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE tiles-definitions PUBLIC
      "-//Apache Software Foundation//DTD Tiles Configuration 2.0//EN"
      "http://tiles.apache.org/dtds/tiles-config_2_0.dtd">

<tiles-definitions>

  <definition name="community.Form" extends="layout">
    <put-attribute name="focusedInputId" value="" type="string"/>
    <put-attribute name="body" value="/WEB-INF/view/community/Form.jsp"/>
  </definition>

  <definition name="community.Index" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/community/Index.jsp"/>
  </definition>

  <definition name="community.IndexAll" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/community/IndexAll.jsp"/>
  </definition>

  <definition name="community.EntryView" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/community/EntryView.jsp"/>
  </definition>

  <definition name="community.MultiThreadView" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/community/MultiThreadView.jsp"/>
  </definition>

  <definition name="community.PublicCommunitiesWidget" template="/WEB-INF/view/community/PublicCommunitiesWidget.jsp" preparer="community.publicCommunitiesWidgetPreparer"/>

  <definition name="community.SingleThreadView" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/community/SingleThreadView.jsp"/>
  </definition>

  <definition name="community.ThreadView" extends="layout">
    <put-attribute name="body" value="/WEB-INF/view/community/ThreadView.jsp"/>
  </definition>

</tiles-definitions>
